import { RadialBucketCalculator } from "./RadialBucketCalculator";
import { IFastItemColumn$1 } from "igniteui-angular-core/ES5/IFastItemColumn$1";
import { Type, Point } from "igniteui-angular-core/ES5/type";
import { RadialBase } from "./RadialBase";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { DependencyProperty } from "igniteui-angular-core/ES5/DependencyProperty";
import { TrendLineType } from "igniteui-angular-core/ES5/TrendLineType";
import { Brush } from "igniteui-angular-core/ES5/Brush";
import { PenLineCap } from "igniteui-angular-core/ES5/PenLineCap";
import { DoubleCollection } from "igniteui-angular-core/ES5/DoubleCollection";
import { RadialFrame } from "./RadialFrame";
import { SeriesView } from "./SeriesView";
import { Axis } from "./Axis";
import { ScalerParams } from "./ScalerParams";
import { Rect } from "igniteui-angular-core/ES5/Rect";
import { AxisRange } from "./AxisRange";
import { RadialBaseView } from "./RadialBaseView";
import { FastItemsSourceEventAction } from "igniteui-angular-core/ES5/FastItemsSourceEventAction";
import { CategoryAngleAxis } from "./CategoryAngleAxis";
import { Clipper } from "igniteui-angular-core/ES5/Clipper";
import { List$1 } from "igniteui-angular-core/ES5/List$1";
import { RadialTrendLineManager } from "./RadialTrendLineManager";
import { PointCollection } from "igniteui-angular-core/ES5/PointCollection";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-angular-core/ES5/RenderingContext";
/**
 * @hidden
 */
export declare class AnchoredRadialBucketCalculator extends RadialBucketCalculator {
    static $t: Type;
    private f;
    constructor(a: AnchoredRadialSeriesView);
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare abstract class AnchoredRadialSeries extends RadialBase {
    static $t: Type;
    protected bf(): SeriesView;
    hn(): void;
    im(a: SeriesView): void;
    ni: AnchoredRadialSeriesView;
    constructor();
    nj: CategoryLineRasterizer;
    fb(a: Point, b: boolean): number;
    e9(a: Point, b: boolean): number;
    d6(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    ek(a: Point, b: boolean, c: boolean): number;
    ld(a: Point, b: boolean, c: boolean): Point;
    n0: string;
    no: IFastItemColumn$1<number>;
    private nn;
    nm: TrendLineType;
    oe: Brush;
    od: Brush;
    static readonly n4: DependencyProperty;
    nw: number;
    og: PenLineCap;
    of: DoubleCollection;
    nx: number;
    ny: number;
    an(a: Axis): AxisRange;
    protected is(a: any, b: string, c: any, d: any): void;
    protected hs(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    dv(a: Rect, b: Rect, c: SeriesView): boolean;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    protected get_nr(): boolean;
    protected readonly nr: boolean;
    protected nt(a: CategoryAngleAxis, b: Rect, c: Rect, d: Rect): number;
    nc(a: RadialFrame, b: RadialBaseView): void;
    private nu;
    private nv;
    private ns;
    nh(a: List$1<number[]>, b: number, c: SeriesView): Clipper;
    protected oh: Point;
    n3(a: PointCollection, b: PointCollection, c: PointCollection, d: PointCollection, e: boolean): void;
    private nq;
    private np;
    hp(a: boolean, b: SeriesView): void;
    nd(a: RadialFrame, b: RadialBaseView): void;
    private n2;
    protected jg(): void;
    fq(a: any, b: Point): any;
    c8(a: any): boolean;
    nl: RadialFrame;
    i7(a: Rect, b: RenderSurface): void;
    private nk;
    i4(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    protected hy(a: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AnchoredRadialSeriesView extends RadialBaseView {
    static $t: Type;
    cs: AnchoredRadialSeries;
    constructor(a: AnchoredRadialSeries);
    ct: RadialTrendLineManager;
    cu(a: Rect, b: Rect, c: Rect, d: Rect): void;
    cv(): void;
    protected a2(a: RenderingContext, b: boolean): void;
    getDefaultTooltipTemplate(): string;
}
